/*
 * @(#) HistoData.java 1.0 97/07/24 Larry Rodrigues
 *
 */
package vis.util;
import java.io.*;
import java.awt.*;

/** The HistoData calss holds the histogram data and related parameters..
* @version 1.0  24  July 1997
* @author Larry Rodrigues
**/
public class HistoData implements Serializable{
    public int[] frequency;
    public Object data;
    public int[] freqMinmax;
    public Object binMinmax;

    /** @param da the histogram data. This is a generic one dimensional array.
      */
    public void setData(Object da){ data = da;}

    /** @return the histogram data. */
    public Object getData(){ return data;}

    /** @param minmax an array of size 2 that holds minimum and maximum values.
      */
    public void setBinMinmax(Object minmax){ binMinmax = minmax;}

    /** @return the minmax array.*/
    public Object getBinMinmax(){ return binMinmax;}

    /** @param fr a one dimensional array of frequencies.*/
    public void setFrequency(int[] fr){ frequency = fr;}

    /** @return the frequency array.*/
    public int[] getFrequency(){ return frequency;}

    /** @param minmax an array of size 2 holding minimum and maximum values.*/
    public void setFreqMinmax(int[] minmax){ freqMinmax = minmax;}

    /**@return the minmax array.*/
    public int[] getFreqMinmax(){ return freqMinmax;}
 }

